SOLVED: Can not connect after 2.2 => 2.4 upgrade

Scripts to manage certificates or generate config files
Post Reply
Ronald Verbeek
OpenVpn Newbie
Posts: 1
Joined: Thu Oct 26, 2017 9:01 am

SOLVED: Can not connect after 2.2 => 2.4 upgrade

Post by Ronald Verbeek » Thu Oct 26, 2017 9:51 am

On my Centos server I changed from rpmforge to epel repository. As a result Openvpn was upgraded from version 2.2 to 2.4.

Clients could not connect anymore and I had to rollback the upgrade. The log on the server showed: "MULTI: no dynamic or static remote --ifconfig address is available for" errors.

On another server I did a lot of testing, using Google to find a solution. After a lot of struggling I found a vague clue in the manuals about name-mapping had been changed since version 2.3 (--no-name-remapping and --compat-names options). The spaces in the common name in the certificate are not replaced by underscores anymore.

All my clients get fixed IP addresses via --ifconfg-push in config files in the client-config-dir ccd based on Firstname_Lastname. The solution was to rename al files replacing the underscore with a space.

Code: Select all

for file in *_*; do mv "$file" "${file//_/ }"; done


It would have helped a lot if a change like this was stated more clearly as a warning in migrating versions documentation.

With this contribution I hope to save a lot of time for admins running against this issue.

Regards,

Ronald

User avatar
TinCanTech
OpenVPN Protagonist
Posts: 6021
Joined: Fri Jun 03, 2016 1:17 pm

Re: SOLVED: Can not connect after 2.2 => 2.4 upgrade

Post by TinCanTech » Thu Oct 26, 2017 10:35 am

Changing from 2.2 to 2.4 is a fairly huge leap forward so changes like this are inevitable.

But thanks for posting your solution 8-)

Post Reply